Users
Authorization
bearerAuth AuthorizationBearer <token>
API key sent as Authorization: Bearer <API_KEY>.
In: header
Path Parameters
id*string
The ID of the user to be updated
Request Body
application/json
name?string
The user's first name
Length
2 <= length <= 32lastname?string
The user's last name
Length
1 <= lengthemail?string
The user's email address
Format
emailphone_work?|
The user's work phone number
roles?array<>
The user's roles
Response Body
application/json
curl -X PATCH "https://api.getventia.com/api/v1.0/users/string" \ -H "Content-Type: application/json" \ -d '{ "name": "Jane", "lastname": "Doe", "email": "jane.doe@example.com", "phone_work": "+9876543210", "roles": [ "comercial" ] }'{
"_id": "64b7654c3f3ae9b9d1e7c5d8",
"name": "Jane",
"lastname": "Doe",
"email": "jane.doe@example.com",
"phone_work": "+9876543210",
"group": "64b7654c3f3ae9b9d1e7c5d7",
"roles": [
"comercial"
]
}Empty
Empty
Empty
Empty